package com.bernard.mcqinator.api;

import com.bernard.mcqinator.api.fragen.Frage;

/**
 * @author samy
 * @date on 22/07/17.
 */

public final class IdentifiedQuiz <F extends Frage,I extends Frage.Identifier> {

    private final F[] fragen;
    private final I identifier;

    public IdentifiedQuiz(F[] fragen, I identifier) {
        this.fragen = fragen;
        this.identifier = identifier;
    }

    public F[] getFragen() {
        return fragen;
    }

    public F getFrage(int pos) {
        return fragen[pos];
    }

    public I getIdentifier() {
        return identifier;
    }

}
